Bug 193806 - Review Request: libsvg
Review Request: libsvg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 193807
  Show dependency treegraph
 
Reported: 2006-06-01 14:47 EDT by Eric Work
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 22:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Work 2006-06-01 14:47:08 EDT
Spec URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SPECS/libsvg.spec
SRPM URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SRPMS/libsvg-0.1.4-1.src.rpm

Description:
libsvg renders SVG documents but cannot render SVG alone.  It requires an
external rendering engine to be provided via a callback-based interface.
Comment 1 Michael Schwendt 2006-06-02 12:03:42 EDT
Your GPG key 0x6ee49286 cannot be found on pgp.mit.edu and
keyserver.net (home pages: http://pgp.mit.edu/ and
http://www.keyserver.net )
Comment 2 Eric Work 2006-06-02 12:57:30 EDT
Thanks for letting me know, I will look into that.  For the time being it can be
found at http://www.ece.ucdavis.edu/~ewwork/repo/RPM-GPG-KEY-ework.
Comment 3 Eric Work 2006-06-05 03:50:36 EDT
I have put my key onto those two sites.  Let me know if you have any changes
that should be done to the SPEC file.
Comment 4 Michael Schwendt 2006-06-07 14:51:42 EDT
> checking for pkg-config... no

Missing 'BuildRequires: pkgconfig' 


> BuildRequires:  libpng-devel, libjpeg-devel, libxml2-devel, zlib-devel
>>>
> %package        devel
>>>
> Requires:       libpng-devel, libjpeg-devel, libxml2-devel, zlib-devel

Oh, it uses libjpeg and libpng headers, but doesn't link to the libs.
I suggest you mention that as a comment in the .spec file, as libsvg
users must link to these libs then (cf. pkg-config file dependencies!).

In this case, "Requires: pkgconfig" is a MUST for the -devel package.


File 'INSTALL' in %doc is of no interest to package users.
Don't include it.


$ cat libsvg-0.1.4.tar.gz.md5 
ce0715e3013f78506795fba16e8455d3  libsvg-0.1.4.tar.gz


With those minor changes: APPROVED

Note You need to log in before you can comment on or make changes to this bug.